---
lang: en
title: 'API docs: authentication.authenticationcomponent'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.authentication.authenticationcomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [AuthenticationComponent](./authentication.authenticationcomponent.md)

## AuthenticationComponent class

<b>Signature:</b>

```typescript
export declare class AuthenticationComponent implements Component 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)()](./authentication.authenticationcomponent._constructor_.md) |  | Constructs a new instance of the <code>AuthenticationComponent</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [providers](./authentication.authenticationcomponent.providers.md) |  | <code>ProviderMap</code> |  |


